> ## Documentation Index
> Fetch the complete documentation index at: https://pingback.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar Contato

> Retorna um contato pelo email.



## OpenAPI

````yaml GET /contacts/{email}
openapi: 3.1.0
info:
  title: Pingback Connect API
  description: Public API v2 for managing contacts in Pingback Connect.
  version: 2.0.0
  license:
    name: MIT
servers:
  - url: https://connect.pingback.com/v2
security:
  - apiKeyAuth: []
tags:
  - name: Contacts
    description: >-
      Operations related to contact management, including creation, retrieval,
      update, deletion, and listing of contacts.
  - name: Deals
    description: >-
      Operations related to deals, including creation, update, retrieval,
      deletion, and listing of deals.
  - name: Segments
    description: >-
      Operations related to segmentation lists, including listing segments and
      associating or removing contacts from segments.
  - name: Notes
    description: Operations related to notes, including creation and listing notes.
  - name: Email Verification
    description: >-
      Operations related to email verification, including validating email
      addresses and returning verification results.
paths:
  /contacts/{email}:
    get:
      tags:
        - Contacts
      summary: Get contact
      description: Retrieve a contact by email.
      parameters:
        - $ref: '#/components/parameters/DeveloperMode'
        - $ref: '#/components/parameters/ApiKey'
        - $ref: '#/components/parameters/EmailPath'
      responses:
        '200':
          description: Contact details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Contact'
              examples:
                success:
                  value:
                    message: Contact found
                    data:
                      id: 36c8c534-fcca-4f79-b3e6-c492f82c2333
                      email: example@email.com
                      status: active
                      source: PublicApi
                      origin: null
                      firstConversionEvent: null
                      segmentedLists: []
                      deals: []
                      createdAt: '2025-12-22T18:11:43.719Z'
                      attributes:
                        name: John Doe
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Contact not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                contact_not_found:
                  summary: Contact not found
                  value:
                    error: Contact not found
                    requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                    errorCode: CONTACT_NOT_FOUND
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    DeveloperMode:
      name: x-developer-mode
      in: header
      required: false
      schema:
        type: boolean
    ApiKey:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
    EmailPath:
      name: email
      in: path
      required: true
      schema:
        type: string
        format: email
  schemas:
    Contact:
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
          format: email
        status:
          $ref: '#/components/schemas/ContactStatus'
        source:
          $ref: '#/components/schemas/ContactSource'
        origin:
          $ref: '#/components/schemas/ContactOrigin'
          nullable: true
        firstConversionEvent:
          type:
            - object
            - 'null'
        segmentedLists:
          type: array
          items:
            $ref: '#/components/schemas/SegmentedList'
        deals:
          type: array
          items:
            $ref: '#/components/schemas/Deal'
        createdAt:
          type: string
          format: date-time
        attributes:
          type: object
          additionalProperties:
            type: string
            nullable: true
    Error:
      type: object
      required: []
      properties:
        error:
          type: string
          description: Error description
        requestId:
          type: string
          description: Request ID
        errorCode:
          type: string
          description: Error code
    ContactStatus:
      type: string
      enum:
        - active
        - inactive
        - invalid
        - unverified
        - unsubscribed
        - bounced
        - complained
    ContactSource:
      type: string
      enum:
        - Form
        - PublicApi
        - Import
        - User
        - Blog
        - System
        - Webhook
    ContactOrigin:
      type: object
      properties:
        url:
          type: string
        utmSource:
          type: string
        utmCampaign:
          type: string
        utmMedium:
          type: string
        utmTerm:
          type: string
        utmContent:
          type: string
    SegmentedList:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
        createdAt:
          type: string
          format: date-time
    Deal:
      type: object
      properties:
        id:
          type: string
          format: uuid
        pipelineId:
          type: string
          format: uuid
        stageId:
          type: string
          format: uuid
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        deletedAt:
          type: string
          nullable: true
          format: date-time
  responses:
    Forbidden:
      description: Invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            forbidden:
              summary: Access denied
              value:
                error: >-
                  User is not authorized to access this resource with an
                  explicit deny in an identity-based policy.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: FORBIDDEN
    InternalServerError:
      description: Unexpected server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            internal_error:
              summary: Internal server error
              value:
                error: An unexpected error occurred.
                requestId: 6795d530-07c4-43b6-8b85-dfc2cfceceb5
                errorCode: INTERNAL_SERVER_ERROR
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````